Subject: source of Petunia species

From: [email-masked] (James Metzger)
Date: 17 May 1995 17:13:45 -0700

Dear Netters:

I'm looking for a source or sources- of the parent species of Petunia X
hybrida: P. axillaris and P. violaceae.  In particular, I want to obtain
lines with an obligate long day requirement.  I'd also appreciate any advice
and info. regarding the literature on the genetics of photoperiodic
requirements in this genus.  Thanks a million, Jim M.

Jim Metzger ([email-masked])
The Ohio State University, Department of Horticulture and Crop Science
249B Howlett Hall,
2001 Fyffe Court
Columbus, Ohio  43210
Phone (office): 614-292-3854
Phone (home):   614-799-0636
FAX:            614-292-3505